Bug 1649463 - Severe CPU Performance Hit on 4.18.17 for older CPU type(s).
Summary: Severe CPU Performance Hit on 4.18.17 for older CPU type(s).
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-13 16:23 UTC by Will Foster
Modified: 2019-02-21 21:13 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 21:13:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Will Foster 2018-11-13 16:23:46 UTC
Description of problem:

I've noticed severe CPU performance regression since upgrading to 4.18.17.  I haven't been able to find much in kernel changelog about this, but it does not occur on 4.18.14 for example.

I am running an older 2010' era xeon (Intel(R) Xeon(R) CPU E5520  @ 2.27GHz)

Could this be related to clocksource: Remove kthread?

https://appuals.com/bug-in-linux-4-18-kernel-causes-cpu-stall-and-system-freezes-on-older-hardware/


Version-Release number of selected component (if applicable):

kernel-core-4.18.17-200.fc28.x86_64


How reproducible:

Every time.


Steps to Reproduce:
1. Upgrade to 4.18.17 from any 4.18.14+ kernel on older Intel CPU
2. 
3.

Actual results:


Expected results:


Additional info:

Comment 1 Justin M. Forbes 2019-01-29 16:25:18 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2019-02-21 21:13:25 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.